# TelegramContactProtectionBot

## The Idea
The idea behind this bot is that you want to take control on who can contact you.
Usually you use a public accessible username (@ handles) to be reachable without sharing your telephone number. This also means that strangers could talk to you and annoy you.
To prevent that, you could register a bot using https://t.me/BotFather and use this code to have actual contact requests. Also you could then disable the username in telegram.

## Configuration
- Register a bot using BotFather
- Put the API token in your `.env` file, looking like `TOKEN='398iufewj9fierhfefiuosf'`
- Install python
- Start the bot using `python TelegramContactProtectionBot.py`
- Find your bot and `/start` it in Telegram
- Claim your bot by typing `/setup`

## How it works

People can `/start` and `/request` to contact you. If the being has no public username it will ask for their telephone number which is deniable though.

## Administration
- `/setup` - Write the forename and ID into the config. The forename is used to show to whom this bot belongs.
- `/block` - Block a being. Use the ID to block.
- `/unblock` - Unblock a being. Use the ID to unblock.
- `/blocklist` - Get all IDs who are blocked.
- `/setname` - Set the name which the bot will use.

